org.eclipse.wst.jsdt.chromium.debug.core

## Class ReverseSourceLookup

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.ReverseSourceLookup

    public class ReverseSourceLookup
    extends java.lang.Object

Eclipse has a standard facility for looking up source file for a debug artifact. LiveEdit feature has an opposite problem: find script in remote VM for a particular js file. This class implements some approach to this problem. An instance of this class corresponds to a particular debug launch.

### Constructor Summary

Constructors
Constructor and Description
`ReverseSourceLookup(ISourceLookupDirector sourceDirector)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`VmResourceId` `findVmResource(IFile sourceFile)` Tries to find a corresponding script for a file from a user workspace.
`static boolean` `isGoodTargetContainer(ISourceContainer container)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReverseSourceLookup

    public ReverseSourceLookup(ISourceLookupDirector sourceDirector)

### Method Detail

#### findVmResource

    public VmResourceId findVmResource(IFile sourceFile)
                                throws CoreException

Tries to find a corresponding script for a file from a user workspace. The method uses the file name and current source lookup rules to retrieve a resource id, regardless of whether the resource has actually been loaded into the VM (you may want to set a breakpoint on resource before it is actually loaded).

Throws:
  `CoreException`

#### isGoodTargetContainer

    public static boolean isGoodTargetContainer(ISourceContainer container)